Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.logReplayer.filter
Class MonitoringRecordLoggerFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.logReplayer.filter.MonitoringRecordLoggerFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public class MonitoringRecordLoggerFilter

extends AbstractFilterPlugin

Passes `IMonitoringRecord`s received via its input port `INPUT_PORT_NAME_RECORD` to its own `IMonitoringController` instance, which is created based on the `Configuration` file passed via the filter's property `CONFIG_PROPERTY_NAME_MONITORING_PROPS_FN`. Additionally, incoming records are relayed via the output port `OUTPUT_PORT_NAME_RELAYED_EVENTS`.

Since:
  1.6
Author:
  Andre van Hoorn

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_PROPERTY_NAME_MONITORING_PROPS_FN`
`static String` | `INPUT_PORT_NAME_RECORD` This is the name of the input port receiving new records.
`static String` | `OUTPUT_PORT_NAME_RELAYED_EVENTS` This is the name of the output port delivering the relayed events.

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`MonitoringRecordLoggerFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `inputIMonitoringRecord(IMonitoringRecord record)` This method represents the input port.
`void` | `terminate(boolean error)` Initiates a termination of the plugin.

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_NAME_RECORD

    public static final String INPUT_PORT_NAME_RECORD

  This is the name of the input port receiving new records.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_RELAYED_EVENTS

    public static final String OUTPUT_PORT_NAME_RELAYED_EVENTS

  This is the name of the output port delivering the relayed events.

  See Also:
    Constant Field Values

### CONFIG_PROPERTY_NAME_MONITORING_PROPS_FN

    public static final String CONFIG_PROPERTY_NAME_MONITORING_PROPS_FN

See Also:
  Constant Field Values

Constructor Detail

### MonitoringRecordLoggerFilter

    public MonitoringRecordLoggerFilter(Configuration configuration,
                                        IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.
  Since:
    1.7

Method Detail

### terminate

    public void terminate(boolean error)

  Initiates a termination of the plugin. This method is only used by the framework and should not be called manually. Use the method `AnalysisController.terminate(boolean)` instead. After receiving this notification, the plugin should terminate any running methods, e.g., read for readers.

  Specified by:
    `terminate` in interface `IPlugin`
  Overrides:
    `terminate` in class `AbstractFilterPlugin`
  Parameters:
    `error` - Determines whether the plugin is terminated due to an error or not.

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Specified by:
    `getCurrentConfiguration` in class `AbstractAnalysisComponent`
  Returns:
    A completely filled configuration object.

### inputIMonitoringRecord

    public final void inputIMonitoringRecord(IMonitoringRecord record)

  This method represents the input port. The new records are send to the monitoring controller before they are delivered via the output port.

  Parameters:
    `record` - The next record.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net